import * as $dara from '@darabonba/typescript';
import { ModifyDiskDeploymentResponseBody } from "./ModifyDiskDeploymentResponseBody";
export declare class ModifyDiskDeploymentResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyDiskDeploymentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
